Loading...
Searching...
No Matches
psa_core_key_attributes_t Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_core_key_attributes_t:
[legend]

## Data Fields

psa_key_type_t | type
psa_key_bits_t | bits
psa_key_lifetime_t | lifetime
mbedtls_svc_key_id_t | id
psa_key_policy_t | policy
psa_key_attributes_flag_t | flags

## Detailed Description

Definition at line 287 of file crypto_struct.h.

## Field Documentation

## bits

psa_key_bits_t psa_core_key_attributes_t::bits

Definition at line 289 of file crypto_struct.h.

Referenced by psa_get_key_bits(), and psa_set_key_bits().

## flags

psa_key_attributes_flag_t psa_core_key_attributes_t::flags

Definition at line 293 of file crypto_struct.h.

## id

mbedtls_svc_key_id_t psa_core_key_attributes_t::id

Definition at line 291 of file crypto_struct.h.

Referenced by psa_get_key_id(), psa_set_key_id(), and psa_set_key_lifetime().

## lifetime

psa_key_lifetime_t psa_core_key_attributes_t::lifetime

Definition at line 290 of file crypto_struct.h.

Referenced by psa_get_key_lifetime(), psa_set_key_id(), and psa_set_key_lifetime().

## policy

psa_key_policy_t psa_core_key_attributes_t::policy

Definition at line 292 of file crypto_struct.h.

Referenced by psa_get_key_algorithm(), psa_get_key_enrollment_algorithm(), psa_get_key_usage_flags(), psa_set_key_algorithm(), psa_set_key_enrollment_algorithm(), and psa_set_key_usage_flags().

## type

psa_key_type_t psa_core_key_attributes_t::type

Definition at line 288 of file crypto_struct.h.

Referenced by psa_get_key_type(), and psa_set_key_type().

The documentation for this struct was generated from the following file:

- crypto_struct.h